#!/usr/local/bin/python

# Demonstrates how to:
# - assign strings as HTML elements' content.


from HTMLTemplate import Template

#################################################
# TEMPLATE
#################################################

html = '''<html>
    <head>
        <title node="con:pageTitle">Page Title</title>
    </head>
    <body>
        <h1 node="con:h1Title">Page Title </h1>
        <p node="con:quote">Some Text</p>
    </body>
</html>''' # the html template

def renderTemplate(node, title, quote): # the template's controller
	node.pageTitle.content = title # set page title
	node.h1Title.content = title # set h1 title
	node.quote.content = quote # set quote text

template = Template(renderTemplate, html) # compile template

#################################################
# MAIN
#################################################

print template.render('Quote of the Day', '"God does not play dice." Albert Einstein')